Package oracle.jdbc

## Enum NotificationRegistration.RegistrationState

- java.lang.Object
- - java.lang.Enum<NotificationRegistration.RegistrationState>
  - - oracle.jdbc.NotificationRegistration.RegistrationState

All Implemented Interfaces:
  `Serializable`, `Comparable<NotificationRegistration.RegistrationState>`

Enclosing interface:
  NotificationRegistration

    public static enum NotificationRegistration.RegistrationState
    extends Enum<NotificationRegistration.RegistrationState>

### Enum Constant Summary

Enum Constants
`ACTIVE` State of this registration: active.
`CLOSED` State of this registration: closed.
`DISABLED` State of this registration: disabled(only used by JMS).

### Method Summary

All Methods Static Methods Concrete Methods
`static NotificationRegistration.RegistrationState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static NotificationRegistration.RegistrationState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACTIVE

    public static final NotificationRegistration.RegistrationState ACTIVE

State of this registration: active.

#### CLOSED

    public static final NotificationRegistration.RegistrationState CLOSED

State of this registration: closed.

#### DISABLED

    public static final NotificationRegistration.RegistrationState DISABLED

State of this registration: disabled(only used by JMS).

### Method Detail

#### values

    public static NotificationRegistration.RegistrationState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NotificationRegistration.RegistrationState c : NotificationRegistration.RegistrationState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NotificationRegistration.RegistrationState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null